import { WorkerEvent } from "../classes.workerevent.js";

export interface IResponderInstruction {
  type: 'origin' | 'cache' | 'static' | 'redirect' | 'ads.txt';
  cacheClientSideForMin?: number;
  redirectUrl?: string;
}

export type TRequestResponser = (workerEventArg: WorkerEvent) => Promise<void>;
